%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtspeech    %mklibname qt5texttospeech %{qtmajor}
%define libqtspeech_d  %mklibname qt5texttospeech -d

%define qttarballdir   qtspeech-everywhere-opensource-src-%{qtversion}

Name:           qtspeech5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} TextToSpeech component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPLv2, respectively, for exception details
License:        LGPLv3 with exceptions or GPLv2 with exceptions
Group:          Development/Libraries
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
Patch0001:	0001-Reverse-list-of-voices-before-returning-from-Speech-.patch
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(speech-dispatcher)

%description
Qt%{qtmajor} TextToSpeech component.

%files
%doc LICENSE.*
%{_qt5_plugindir}/texttospeech/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtTextToSpeech%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtTextToSpeech%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtspeech.qch
%{_qt5_docdir}/qtspeech/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtspeech}
Summary:        Qt%{qtmajor} TextToSpeech Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtspeech}
Qt%{qtmajor} TextToSpeech Component Library.

%files -n %{libqtspeech}
%{_qt5_libdir}/libQt5TextToSpeech.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtspeech_d}
Summary:        Devel files needed to build apps based on QtTextToSpeech
Group:          Development/Libraries
Requires:       %{libqtspeech} = %{version}
Provides:       libqttexttospeech5-devel = %{version}
Provides:       libqt5texttospeech-devel = %{version}
Provides:       qttexttospeech5-devel = %{version}
Provides:       qt5texttospeech-devel = %{version}

%description -n %{libqtspeech_d}
Devel files needed to build apps based on Qt TextToSpeech.

%files -n %{libqtspeech_d}
%{_qt5_includedir}/QtTextToSpeech/
%{_qt5_libdir}/libQt5TextToSpeech.so
%{_qt5_libdir}/pkgconfig/Qt5TextToSpeech.pc
%{_qt5_libdir}/cmake/Qt5TextToSpeech/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/speech/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtspeech-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS


%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version